Bug 1651521 - [downstream clone - 4.2.8] [RFE] provide a sorted list of available boot-iso in "run once" dialog for virtual machines
Summary: [downstream clone - 4.2.8] [RFE] provide a sorted list of available boot-iso ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.0
Hardware: All
OS: All
low
low
Target Milestone: ovirt-4.2.8
: ---
Assignee: Andrej Krejcir
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: 1636981
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 09:26 UTC by RHV Bug Bot
Modified: 2019-02-13 15:34 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.2.8.1
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1636981
Environment:
Last Closed: 2019-02-13 15:34:07 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0343 None None None 2019-02-13 15:34:09 UTC
oVirt gerrit 94892 master MERGED webadmin: Sort ISOs and floppies in Run Once dialog 2018-11-20 09:26:25 UTC
oVirt gerrit 94925 ovirt-engine-4.2 MERGED webadmin: Sort ISOs and floppies in Run Once dialog 2018-11-20 09:26:25 UTC

Description RHV Bug Bot 2018-11-20 09:26:00 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1636981 +++
======================================================================

1. Proposed title of this feature request
The list of available boot-ISO should be sorted alphabetcially in RUN-ONCE dialoge


3. What is the nature and description of the request?
If one would need to run a VM via RUN ONCE menu, and would like to insert a different ISO, it's difficult to select the correct one, as the list is totally unsorted.


4. Why does the customer need this? (List the business requirements here)
It's on daily business, that for debugging purpose for example, virtual machines are booted with customized debug-iso. With the new dialog in RHV 4.2 it's more timewasting to find the appropriate ISO in the list.

5. How would the customer like to achieve this? (List the functional requirements here)
The list provided in RUN ONCE dialog should be sorted aplhabetically


6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
- Select a virtual machine and click "run once"
- on "boot options" mark "attach CD"

The provided drop-down list should be sorted aplhabetically. Currently it's unsorted.


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
no


8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
asap


9. Is the sales team involved in this request and do they have any additional input?
no


10. List any affected packages or components.
ovirt-engine


11. Would the customer be able to assist in testing this functionality if implemented?
yes

(Originally by Steffen Froemer)

Comment 4 RHV Bug Bot 2018-11-20 09:26:16 UTC
verified_upstream:
ovirt-engine-4.2.7.4-0.0.master.20181019132815.gita2f17bd.el7
vdsm-4.20.42-5.gita80c592.el7.x86_64
qemu-kvm-rhev-2.12.0-18.el7_6.1.x86_64
libvirt-client-4.5.0-10.el7.x86_64

Some TC inside "VIRT_Virtual Machine_Run_Once" TP edited accordingly (TP added to external trackers)

(Originally by Nisim Simsolo)

Comment 6 Raz Tamir 2018-11-28 15:30:46 UTC
QE verification bot: the bug was verified upstream

Comment 9 errata-xmlrpc 2019-02-13 15:34:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0343


Note You need to log in before you can comment on or make changes to this bug.